## org.codehaus.groovy.runtime.typehandling
Class BigDecimalMath

BigDecimal NumberMath operations

author:
  Steve Goetze

Field Summary
`BigDecimalMath` | `INSTANCE`
`int` | `MAX_DIVISION_SCALE`

Constructor Summary
`BigDecimalMath()`

Method Summary
`Number` | `absImpl(Number number)`
`Number` | `addImpl(Number left, Number right)`
`int` | `compareToImpl(Number left, Number right)`
`Number` | `divideImpl(Number left, Number right)`
`Number` | `multiplyImpl(Number left, Number right)`
`BigDecimal` | `normalize(BigDecimal number)`
`Number` | `subtractImpl(Number left, Number right)`
`Number` | `unaryMinusImpl(Number left)`

Constructor Detail

### BigDecimalMath

    BigDecimalMath()

Method Detail

### absImpl

    Number absImpl(Number number)

### addImpl

    Number addImpl(Number left, Number right)

### compareToImpl

    int compareToImpl(Number left, Number right)

### divideImpl

    Number divideImpl(Number left, Number right)

### multiplyImpl

    Number multiplyImpl(Number left, Number right)

### normalize

    BigDecimal normalize(BigDecimal number)

### subtractImpl

    Number subtractImpl(Number left, Number right)

### unaryMinusImpl

    Number unaryMinusImpl(Number left)